#
# spec file for package xine (Version 0.4.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  alsa alsa-devel glib glib-devel gtk gtk-devel imlib imlib-devel libjpeg libpng libtiff libungif lirc xdevel xshared
# usedforbuild    aaa_base aaa_dir alsa alsa-devel autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gppshare grep groff gtk gtk-devel gzip imlib imlib-devel kbd less libjpeg libpng libtiff libtool libungif libz lirc m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xshared

Name:         xine
Summary:      Video player with plugins
Version:      0.4.3
Release:      63
Copyright: GPL
Group:     X11/Applications/Graphics
Source:    xine-%{version}.tar.bz2
URL:       http://xine.sourceforge.net
BuildRoot: /tmp/%{name}-root
%package -n xine-dvd
Requires: xine
Summary:      Xine plugin for unencrypted DVDs
Group:        X11/Applications/Graphics
Autoreqprov:  on

%description -n xine
Xine is a video player with a graphical front-end that supports
a large number of file formats (i.e. VCD, MPEG2) using plugins. Several
plugins are included, others can be post-installed. Supports stereo sound
using OSS and AC5.1 using Alsa.

Authors:
--------
    Guenter Bartsch <guenter@sourceforge.net>

SuSE series: gra


%description -l fr -n xine


%description -n xine-dvd
With this Xine plugin you can watch unencrypted DVDs using
Xine. More information about Xine plugins can be found at
http://xine.sourceforge.net/

Authors:
--------
    Guenter Bartsch <guenter@users.sourceforge.net>

SuSE series: gra

%prep
%setup -n xine-%{version}
%{?suse_update_config .}

%build
 SHARE=/usr/share
./configure --prefix=/usr/  --mandir=$RPM_BUILD_ROOT%{_mandir} --with-w32-path=/usr/lib/win32
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
#mkdir -p $RPM_BUILD_ROOT/usr/include/X11/pixmaps
make install prefix=$RPM_BUILD_ROOT/usr/
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}
mv $RPM_BUILD_ROOT/usr/share/doc/xine $RPM_BUILD_ROOT%{_defaultdocdir}/xine
#cp doc/*.xpm $RPM_BUILD_ROOT/usr/include/X11/pixmaps
#%post
#/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n xine
%defattr(-,root,root)
/usr/bin/xine
%doc %{_mandir}/man1/xine.1.gz
%doc %{_mandir}/fr/man1/xine.1.gz
/usr/lib/xine/plugins/input_file.la
/usr/lib/xine/plugins/input_file.so
/usr/lib/xine/plugins/input_net.la
/usr/lib/xine/plugins/input_net.so
/usr/lib/xine/plugins/input_stdin_fifo.la
/usr/lib/xine/plugins/input_stdin_fifo.so
/usr/lib/xine/plugins/input_vcd.la
/usr/lib/xine/plugins/input_vcd.so
/usr/share/xine/skins/*
%doc %{_defaultdocdir}/*

%files -n xine-dvd
/usr/lib/xine/plugins/input_dvd.la
/usr/lib/xine/plugins/input_dvd.so

%changelog -n xine
* Tue Jun 05 2001 - kukuk@suse.de
- Remove nox86 patch, not necessary and does not apply
* Tue May 22 2001 - wimer@suse.de
- updated to version 0.4.3
- changed SuSE series to gra again (change vanished)
* Wed May 09 2001 - wimer@suse.de
- updated to version 0.4.2 (stability fixes and works on ppc now)
- changed SuSE Series to gra instead of snd.
* Sat Apr 07 2001 - bjacke@suse.de
- make xine look for win32 codecs
- move doc to correct place
- some spec file fixes
* Mon Mar 12 2001 - wimer@suse.de
- initial version: 0.4.01
